#!/usr/bin/env node

/**
 * @file Build this project.
 */

var path = require('path');

var basedir = path.resolve(__dirname, '..'),
    pkg = require('../package.json');

var taskContrib = require('apeman-tmpl-contrib-official/lib/task_contrib');

process.chdir(basedir);

taskContrib.render({
    ignore: [],
    year: new Date().getFullYear(),
    pkg: pkg,
    signature: require('../.signature'),
    see: {
        'jade': 'https://github.com/jadejs/jade'
    }
}, function (err) {
    if (err) {
        console.error(err);
    } else {
        console.log('Build done!');
    }
});