/**
 * @file Run apeman-task-contrib-jsdoc
 */

"use strict";

var async = require('async'),
    glob = require('glob'),
    argx = require('argx'),
    execcli = require('execcli'),
    jsdoc = require.resolve('jsdoc/jsdoc'),
    objnest = require('objnest');

/** @lends apemanTaskContribJsdoc */
function apemanTaskContribJsdoc(patterns, options) {
    var args = argx(arguments);
    options = objnest.expand(args.pop('object') || {});
    patterns = args.remain();

    return function task(context, callback) {

        var logger = context.logger;

        async.waterfall([
            function (callback) {
                async.concat(patterns, glob, callback);
            },
            function (filenames, callback) {
                if (context.verbose) {
                    logger.debug("options:%s", options);
                }
                execcli(jsdoc, filenames, options, callback);
            }
        ], callback);


    }
}

module.exports = apemanTaskContribJsdoc;
