#!/usr/bin/env node

/**
 * Test for run.js
 * Runs with nodeunit.
 */

"use strict";

var create = require('./create'),
    path = require('path'),
    mkdirp = require('mkdirp');

var tmpDir = path.resolve(__dirname, 'tmp');

var context = {
    logger: {
        info: function () {
        },
        debug: function () {
        },
        trace: function () {
        }
    }
};

exports.setUp = function (done) {
    mkdirp.sync(tmpDir);
    done();
};

exports['Create and run'] = function (test) {
    var task = create('docs/mockups/*.js', {
        destination: tmpDir + '/foo/bar',
        verbose: true
    });
    task(context,function (err) {
        test.ifError(err);
        test.done();
    });
};

